| Qore ElasticSearchDataProvider Module Reference 1.1

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
ElasticSearchDataProvider::ElasticSearchIndexDataProvider Class Reference

The ElasticSearch index API root data provider. More...

`#include <ElasticSearchIndexDataProvider.qc.dox.h>`

Inheritance diagram for ElasticSearchDataProvider::ElasticSearchIndexDataProvider:
[legend]

## Public Member Functions
| constructor (*hash< auto > options)
| Creates the object from constructor options.
| constructor (RestClient::RestClient rest)
| Creates the object from a REST connection.
*list< hash< DataProvider::DataProviderSummaryInfo > > | getChildProviderSummaryInfo ()
| Return data provider summary info.
*string | getDesc ()
| Returns the data provider description.
string | getName ()
| Returns the data provider name.
hash< DataProvider::DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.
Public Member Functions inherited from ElasticSearchDataProvider::ElasticSearchDataProviderBase
| constructor ()
| Creates the object.
| constructor (RestClient rest)
| Creates the object from a REST connection.
| setLogger (*LoggerInterface logger)
| Accepts a LoggerInterface object for logging (or clears it)

## Public Attributes
const | ProviderInfo = ...
| Provider info.
const | ProviderSummaryInfo = ...
| Provider summary info.

## Protected Member Functions
*DataProvider::AbstractDataProvider | getChildProviderImpl (string name)
| Returns the given child provider or NOTHING if the given child is unknown.
*list< string > | getChildProviderNamesImpl ()
| Returns a list of child data provider names, if any.

## Detailed Description

The ElasticSearch index API root data provider.

This data provider provides children that are API data providers for actions on ElasticSearch indices

## Member Function Documentation

## ◆ getChildProviderImpl()

*DataProvider::AbstractDataProvider ElasticSearchDataProvider::ElasticSearchIndexDataProvider::getChildProviderImpl | ( | string | name | ) |
| protected

Returns the given child provider or NOTHING if the given child is unknown.

Returns
  the given child provider or NOTHING if the given child is unknown

See also
  getChildProviderEx()

## ◆ getChildProviderNamesImpl()

*list< string > ElasticSearchDataProvider::ElasticSearchIndexDataProvider::getChildProviderNamesImpl | ( |  | ) |
| protected

Returns a list of child data provider names, if any.

Returns
  a list of child data provider names, if any